# Retrieve account holdings View current instruments by ledger, using the ledger identifier. Endpoint: GET /api/ledger/{ledgerIdentifier}/holding Version: 1.0.0 Security: JWT ## Path parameters: - `ledgerIdentifier` (string, required) Ledger identifier, can be found using /api/ledger endpoint Example: "4b7375e9-79b0-4b8b-a89e-a21607f0239f" ## Query parameters: - `asset` (boolean) If true, requests asset holdings, otherwise requests liability holdings. Example: true - `onBehalfOfSrcAcctId` (string) If permitted, allows the caller to request holdings for another account holder, identifying that account holder by their system-assigned srcAcctId. Example: "4b7375e9-79b0-4b8b-a89e-a21607f0239f" - `transferTypeCode` (string) If specified, only holdings that qualify for the specified transfer type will be returned Example: "RET" - `$skip` (integer) Number of records to skip - `$top` (integer) Maximum number of records to return - `$filter` (string) OData-like filter expression - `$apply` (string) OData-like apply expression with groupby and aggregate only - `$orderby` (string) Comma-separated list of columns for sorting - `$count` (boolean) Whether to include the count of records with the result ## Response 200 fields (application/json): - `@count` (integer) The total number of results (only present if requested) - `value` (array, required) Rows of information - `value.identifier` (string) The holding's system-assigned identifier. - `value.resourceProgramAssignedIdentifier` (string) The associated resource's program assigned identifier. Example: "GHG1021" - `value.holdingStatus` (object) A reference datum data object Example: "GOC" - `value.holdingStatus.code` (string, required) The reference data's value. - `value.holdingStatus.name` (string) The reference data's name - `value.programPeriodBeginInclusive` (string) Start of program period (vintage) associated to the holding record's issuance. Example: "2022-01-01T00:00:00-05:00" - `value.programPeriodEndExclusive` (string) End of program period (vintage) associated to the holding record's issuance. Example: "2023-01-01T00:00:00-05:00" - `value.timeOfProductionBeginInclusive` (string) Start of production period associated to the holding's issuance Example: "2022-01-01T00:00:00-05:00" - `value.timeOfProductionEndExclusive` (string) End of production period associated to the holding's issuance Example: "2023-01-01T00:00:00-05:00" - `value.serialNumber` (string) The holding record's serial number. Example: "APXOPCAR-GOC-GHG1021-US-2022--46-5701-6700" - `value.quantity` (number) The quantity of the holding record. Example: 1000 - `value.programVersions` (array) Associated programs and their versions. - `value.programVersions.code` (string) Program code Example: "GHG_MEASUREMENT_PROGRAM" - `value.programVersions.version` (string) Version of Program. Example: "5.0.0" - `value.programVersions.shortName` (string) Program short name Example: "Carbon Measurement" - `value.programVersions.protocolVersions` (array) A list of Protocols associated with Program. - `value.programVersions.protocolVersions.code` (string) Protocol code Example: "AMS-I.D." - `value.programVersions.protocolVersions.version` (string) Version of Protocol Example: "1.0.0" - `value.programVersions.protocolVersions.shortName` (string) Protocol's short name Example: "AMS-I.D." - `value.protocolVersions` (array) Associated protocols and their versions. - `value.resourceInputTypeCodes` (array) A list of resource input types associated with the holding record's issuance. - `value.resourceOutputTypeCodes` (array) A list of resource output types associated with the holding record's issuance. Example: "CARBON_REDUCTION" - `value.subaccountIdentifier` (string) The system-assigned identifier for the subaccount. Example: "5FF7ABAA-095D-11EF-B304-AA080FC10FFA" - `value.subaccountName` (string) Subaccount name, as inputted by subaccount owner. Example: "My Linked Holdings" - `value.subaccountNumber` (string) Subaccount Id displayed on the Optimal Outcomes platform's UI. Example: "10033" - `value.programCertificationGroupCode` (string) The issuing program certification group of the holding record. Example: "NONAFOLU_GHG_MEASUREMENT_PROGRAM" - `value.upn` (string) Xpansiv Connect Universal Project Number (UPN) for Resource associated to the holding's issuance, if assigned. Example: "0999F5B4" - `value.ein` (string) Xpansiv Connect Environmental Instrument Number (EIN), if assigned. Example: "1246AFA3E2" - `value.einDescription` (string) Xpansiv Connect Environmental Instrument Number (EIN) details, if assigned Example: "VCU-20120101-20121231-EDEM-3267-ZMB" - `value.shadowedLedgerName` (string) If shadowing = true, the external ledger's name. Example: "Verra" - `value.managingExternalPlatformName` (string) If the holding is held in an external subaccount, the name of the managing external platform associated with the external subaccount. Example: "Xpansiv Connect" - `value.certificateType` (object) A reference datum data object Example: "GOC" ## Response 404 fields